Bug 369941 - Undefined symbol in wizardc.so
Undefined symbol in wizardc.so
Product: Fedora
Classification: Fedora
Component: wxPython (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-07 12:16 EST by Jérôme Benoit
Modified: 2008-05-17 06:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-17 06:49:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jérôme Benoit 2007-11-07 12:16:47 EST
Description of problem:

Cannot start the GUI part of the software in URL.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Download the software and decompress the tarball
2. chmod +x pygrenouille.py in the directory
3. ./pygrenouille.py
Actual results:

Traceback (most recent call last):
  File "./pygrenouille.py", line 62, in <module>
    import wx.wizard
  File "/usr/lib/python2.5/site-packages/wx/wizard.py", line 5, in <module>
    from wxPython import wizard
  File "/usr/lib/python2.5/site-packages/wxPython/wizard.py", line 2, in <module>
    import wizardc
ImportError: /usr/lib/python2.5/site-packages/wxPython/wizardc.so: undefined
symbol: _ZN8wxWizardC1EP8wxWindowiRK8wxStringRK8wxBitmapRK7wxPoint

Expected results:

Having the GUI working.

Additional info:
Comment 2 Matthew Miller 2007-11-07 13:54:45 EST
What happens if you run python interactively from the command line and 
type "import wx.wizard"? This work for me on both CentOS 5 and on Fedora
rawhide. I don't have an F7 test box right now.

I'm going to update to 2.8.6.x really soon; hopefully that will correct the problem.
Comment 3 Jérôme Benoit 2007-11-07 15:03:17 EST
Same problem : 

[fraggle@morphee ~]$ python
Python 2.5 (r25:51908, Oct 19 2007, 09:47:40) 
[GCC 4.1.2 20070925 (Red Hat 4.1.2-27)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import wx.wizard
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/wx/wizard.py", line 5, in <module>
    from wxPython import wizard
  File "/usr/lib/python2.5/site-packages/wxPython/wizard.py", line 2, in <module>
    import wizardc
ImportError: /usr/lib/python2.5/site-packages/wxPython/wizardc.so: undefined
symbol: _ZN8wxWizardC1EP8wxWindowiRK8wxStringRK8wxBitmapRK7wxPoint
Comment 4 Jérôme Benoit 2007-12-17 18:58:59 EST
Any chance to have this upgrade pushed any time soon in Fedora 8 and 7 ?

By the way, compat-wxGTK26-2.6.4-0.8 upgrade have just broke the way the default
translation is found in amule from livna but that's another story.

Comment 5 Bug Zapper 2008-05-14 11:00:52 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jérôme Benoit 2008-05-17 06:49:38 EDT
This bug can be closed ...

Note You need to log in before you can comment on or make changes to this bug.